Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 598420 - net-misc/clusterssh-4.80 version bump
Summary: net-misc/clusterssh-4.80 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Jaco Kroon
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2016-10-29 08:46 UTC by shinydoofy
Modified: 2021-11-12 01:21 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shinydoofy 2016-10-29 08:46:08 UTC
Could you please bump clusterssh to 4.08? Aside from keeping it up to date, version 4.30.600 in portage makes working in KDE very cumbersome (see the linked KDE bug).

From what I can see in the META.json file, some dependencies have been added (File::Glob, File::Path, X11::Protocol::WM) and it's been moved from sourceforge to github.

Renaming the existing 4.30.600 ebuild to 4.80 doesn't work for me, though, as X11/Protocol/WM.pm is missing at least despite dev-perl/X11-Protocol-0.560.0-r1 being installed.
Comment 1 Larry the Git Cow gentoo-dev 2021-11-12 01:21:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80b0cd235fabed1caaf20c3718818a39b08f90ec

commit 80b0cd235fabed1caaf20c3718818a39b08f90ec
Author:     Jaco Kroon <jaco@uls.co.za>
AuthorDate: 2021-11-11 13:29:02 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-11-12 01:21:21 +0000

    net-misc/clusterssh: Bump to 4.16.
    
    About versioning: https://wiki.gentoo.org/wiki/Project:Perl/Version-Scheme
    
    Right, so with clusterssh using X.YY_ZZ, it's impossible to go larger
    than 99 already.  As such, the benefit of using 4.160 (and then using
    DIST_VERSION to wangle that back to 4.16 doesn't make sense for me).
    
    Currently there is no third digit here, so in a future version I'll set
    it up to double op on the versions, eg, 5.0 will likely be 5.00
    upstream, and 5.0.1 or 4.16.1 will be 5.00_01 or 4.16.01 upstream (which
    can be dealt with smartly using sprintf constructing DIST_VERSION).
    
    Closes: https://bugs.gentoo.org/598420
    Closes: https://bugs.gentoo.org/819306
    Closes: https://bugs.gentoo.org/775947
    Bug: https://bugs.gentoo.org/768105
    Package-Manager: Portage-3.0.28, Repoman-3.0.3
    Signed-off-by: Jaco Kroon <jaco@uls.co.za>
    Signed-off-by: Sam James <sam@gentoo.org>

 net-misc/clusterssh/Manifest               |  1 +
 net-misc/clusterssh/clusterssh-4.16.ebuild | 48 ++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)